#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = __importDefault(require("commander"));
const _1 = __importDefault(require("./"));
const utils_1 = require("./utils");
// eslint-disable-next-line @typescript-eslint/no-var-requires
const PKG = require('../package.json');
if (utils_1.isObject(PKG)) {
    if (typeof PKG.version === 'string') {
        commander_1.default.version(PKG.version, '-v, --version');
    }
    if (typeof PKG.description === 'string') {
        commander_1.default.description(PKG.description);
    }
}
commander_1.default
    .option('--push', '`git push` the added tag to the remote repository')
    .option('--verbose', 'show details of executed git commands')
    .option('-n, --dry-run', 'perform a trial run with no changes made')
    .parse(process.argv);
_1.default({
    push: commander_1.default.push,
    verbose: commander_1.default.verbose,
    dryRun: commander_1.default.dryRun,
}).catch(error => {
    process.exitCode = 1;
    console.error(error instanceof Error ? error.message : error);
});
//# sourceMappingURL=bin.js.map